CMSIS-Driver: CAN Object Events

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
CAN Object Events
CAN Interface

Callback objects events notified via ARM_CAN_SignalObjectEvent. More...

## Macros

#define | ARM_CAN_EVENT_SEND_COMPLETE (1UL << 0)
| Send complete. More...
#define | ARM_CAN_EVENT_RECEIVE (1UL << 1)
| Message received. More...
#define | ARM_CAN_EVENT_RECEIVE_OVERRUN (1UL << 2)
| Received message overrun. More...

## Description

Callback objects events notified via ARM_CAN_SignalObjectEvent.

The CAN driver generates callback objects events that are notified via the function ARM_CAN_SignalObjectEvent.

The following callback notification object events are generated:

## Macro Definition Documentation

#define ARM_CAN_EVENT_SEND_COMPLETE (1UL << 0)

Send complete.

See Also
  ARM_CAN_SignalObjectEvent

#define ARM_CAN_EVENT_RECEIVE (1UL << 1)

Message received.

See Also
  ARM_CAN_SignalObjectEvent

#define ARM_CAN_EVENT_RECEIVE_OVERRUN (1UL << 2)

Received message overrun.

See Also
  ARM_CAN_SignalObjectEvent